/*
 * Copyright (c) 2019-2021, yzrh <yzrh@noema.org>
 *
 * SPDX-License-Identifier: Apache-2.0
 */

typedef struct {
	SDL_Texture *texture;
	SDL_Rect pos;
	bool cache;
} Snake_Text;

typedef enum {
	SNAKE_FOREGROUND,
	SNAKE_BACKGROUND,
	SNAKE_BACKGROUND_SHADE,
	SNAKE_RED,
	SNAKE_GREEN,
	SNAKE_BLUE,
	SNAKE_YELLOW,
	SNAKE_MAGENTA,
	SNAKE_CYAN,
	SNAKE_WHITE,
	SNAKE_BLACK
} Snake_Colour;
